import { Component, Inject, OnInit } from '@angular/core';
import { MAT_BOTTOM_SHEET_DATA } from '@angular/material/bottom-sheet';
import { Subject } from 'rxjs';
import { RuleFlatNode } from '../create-rule/class/rule-flat-node';

@Component({
  selector: 'app-options-shet',
  templateUrl: './options-shet.component.html',
  styleUrls: ['./options-shet.component.scss']
})
export class OptionsShetComponent implements OnInit {

  constructor(@Inject(MAT_BOTTOM_SHEET_DATA) public config: {
    add: Subject<RuleFlatNode>,
    remove: Subject<RuleFlatNode>,
    edit: Subject<RuleFlatNode>,
    node: RuleFlatNode
  }) { }

  ngOnInit(): void {
  }

}
