import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CreateRuleComponent } from './create-rule/create-rule.component';
import { MatCardModule } from '@angular/material/card';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatTreeModule } from '@angular/material/tree';
import { MatButtonModule } from '@angular/material/button';
import { MatIconModule } from '@angular/material/icon';
import { MatCommonModule } from '@angular/material/core';
import { MatInputModule } from '@angular/material/input';
import { DynamicDatabase } from './create-rule/class/dynamic-database';
import {MatSnackBarModule} from '@angular/material/snack-bar';
import {MatBottomSheetModule} from '@angular/material/bottom-sheet';
import { OptionsShetComponent } from './options-shet/options-shet.component';


@NgModule({
  declarations: [
    CreateRuleComponent,
    OptionsShetComponent
  ],
  imports: [
    MatBottomSheetModule,
    MatSnackBarModule,
    CommonModule,
    MatCardModule,
    MatFormFieldModule,
    MatTreeModule,
    MatButtonModule,
    MatIconModule,
    MatCommonModule,
    MatFormFieldModule,
    MatInputModule,
  ],
  providers: [
    DynamicDatabase,
  ]
})
export class AdminModule { }
